Subject: bug#25482: 26.0.50; Allow setting `query-replace-from-to-separator` to nil

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 Jan 2017 09:56:29 +0200

[You've replied only to me.]

> From: Thierry Volpiatto <[email-masked]>
> Date: Thu, 19 Jan 2017 20:33:41 +0100
> 
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Sorry, I don't think I follow: you should be able to set this variable
> > to " -> ", a string, to get the old behavior and avoid non-ASCII
> > strings in your minibuffer-history.
> 
> No, you don't have the same behavior, you endup with a non ascii string
> which goes to minibuffer-history, so the behavior is not as emacs-24.5
> if you set this variable to " -> ".

So you are saying that even setting the string to " -> " gets " → "
into the history?  If so, that's the bug that we should solve, I
think.

> > So why did you need the value of nil?
> 
> Because when it is nil the string is not added to history, just like in
> 24.5.

Is it a problem to have the ASCII " -> " in the history?  Assuming we
solve this part of the problem, would you still need to disable adding
the string to the history?